import server from '@/utils/request'


//查询
interface Query{
    pageSize:String|Number	      //每页条数
    pageNo:String|Number	      //页数
    divisionNo?:String            //区划编码
    cname?:String
}

export function getlist(params:Query) {
  return server.request({
    url: '/cloud/company/list',
    method: 'get',
    params
  })
}

//新增
interface Addata{
    division:String	            //区划名称
    divisionNo:String	        //区划编码	
    cname:String	            //公司名称
    ccode:String	            //组织机构代码
    address?:String	            //地址
    addressProvince?:String     //地址-省
    addressCity?:String	        //地址-市
    addressArea?:String	        //地址-区县
    contacts?:String	        //联系人
    phone?:String	            //联系电话
    status?:String|Number	    //状态：1-启用，0-禁用
    logo?:String	             //logo地址
    delFlag?:String	            //删除标识：1-已删除，0-未删除
    accountBalance?:String|Number	    //账户余额
}
export function addyunys(data:Addata) {
    return server.request({
      url: '/cloud/company/add',
      method: 'post',
      data
    })
}

//修改
export function updateyys(data:Addata) {
    return server.request({
      url: '/cloud/company/update',
      method: 'post',
      data
    })
}

//删除
export function delyys(id:String) {
  return server.request({
    url: '/cloud/company/del',
    method: 'post',
    data:{
      id
    }
  })
}